{"id":18090,"date":"2018-12-04T13:59:33","date_gmt":"2018-12-04T13:59:33","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15687"},"modified":"2021-03-25T07:51:35","modified_gmt":"2021-03-25T07:51:35","slug":"import-bot-into-an-existing-bot-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/import-bot-into-an-existing-bot-api\/","title":{"rendered":"Import Bot into an Existing Bot API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to import bot definition file into an existing bot for upgrading to a new version or restoring to an earlier version.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Bot Import<\/em> under <em>Bot Definition<\/em>.<\/p>\n<p><strong>POST<\/strong> <code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/import<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<p>&nbsp;<\/p>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400\">host<\/span><\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td><span style=\"font-weight: 400\">Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>botDefinition<\/td>\n<td>\u201cBot Definition File id\u201d <a href=\"\/docs\/bots\/api-guide\/upload-file-api\/\">(refer here to obtain it)<\/a><\/td>\n<\/tr>\n<tr>\n<td>configInfo<\/td>\n<td>\u201cBot Configuration File id\u201d <a href=\"\/docs\/bots\/api-guide\/upload-file-api\/\">(refer here to obtain it)<\/a><\/td>\n<\/tr>\n<tr>\n<td>botFunctions (Optional Field)<\/td>\n<td>\u201cFileid\u201d<\/td>\n<\/tr>\n<tr>\n<td>importOptions<\/td>\n<td>All bot components are imported by default. If needed, you may specify the components to be included in the import.<\/p>\n<pre>\"importOptions\": {\r\n   \"tasks\": [\r\n     \"botTask\",\r\n     \"knowledgeGraph\"\r\n     ],\r\n   \"nlpData\": [\r\n     \"nlpSettings\",\r\n     \"utterances\",\r\n     \"standardResponses\"\r\n     ],\r\n   \"settings\": [\r\n     \"botSettings\",\r\n     \"botVariables\",\r\n     \"ivrSettings\"\r\n     ]\r\n },<\/pre>\n<\/td>\n<\/tr>\n<tr>\n<td>options<\/p>\n<p>(optional)<\/td>\n<td>This will indicate incremental import options for the ML utterances, whether to replace or append, <a href=\"\/docs\/bots\/bot-settings\/bot-management\/bot-management-2\/#Steps_in_Importing_to_an_Existing_Bot\" target=\"_blank\" rel=\"noopener noreferrer\">see here for more<\/a>.<\/p>\n<pre>\"options\": {\r\n     \"utterances\": {\r\n        \"replace\": true\r\n\t\"append\":false\r\n        }\r\n<\/pre>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X POST \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/import \\\r\n  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  -H 'content-type: application\/json' \\\r\n  -d '{\r\n  \"botDefinition\" : \"5b7ed2b87cab5c48ea9794f9\",\r\n  \"configInfo\" : \"5b7ed2d77cab5c48ea9794fa\",\r\n  \"botFunctions\":[\"5b7ed33a86a5fc48f4777ea6\"]\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"streamRefId\": \"c685t327-8f93-588b-97bb-3399fa998bca\",\r\n    \"statusLogs\": [\r\n        {\r\n            \"taskType\": \"importRequest\",\r\n            \"taskName\": \"Sample Task\",\r\n            \"status\": \"success\"\r\n        }\r\n    ],\r\n    \"createdBy\": \"u-3ae8bd39-a63e-5b2c-b55b-85864a8202c3\",\r\n    \"requestType\": \"Botimport\",\r\n    \"_id\": \"bir-00b2baf0-7e02-523b-b317-79a372b91fc6\",\r\n    \"status\": \"pending\",\r\n    \"createdOn\": \"2018-12-05T07:40:51.956Z\",\r\n    \"__v\": 0\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to import bot definition file into an existing bot for upgrading to a new version or restoring to an earlier version. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Bot Import under Bot Definition. POST https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/import Query...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18090","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18090","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18090"}],"version-history":[{"count":10,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18090\/revisions"}],"predecessor-version":[{"id":23081,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18090\/revisions\/23081"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18090"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18090"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18090"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}